Skip to main content
GET
/
users
/
{user_id}
/
custom_records
List custom records
curl --request GET \
  --url https://production.api.onvy.health/users/{user_id}/custom_records \
  --header 'X-API-Key: <api-key>'
{
  "records": [
    {
      "custom_records_type_id": "<string>",
      "data": {},
      "id": "<string>",
      "project_id": "<string>",
      "user_id": "<string>",
      "description": "<string>",
      "attachments": [
        {
          "mime_type": "<string>",
          "description": "<string>",
          "data_base64": "<string>",
          "data_url": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 500,
    "total": 1,
    "page": "<string>",
    "next_page": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

user_id
string
required

User ID (e.g., google_104940819145861640201)

Query Parameters

page
string

Page Key for pagination

limit
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000
custom_records_type_id
string

Filter by custom record type ID

Response

List of custom records

records
object[]
required
pagination
Pagination · object
required